'use strict';

define(function () {

    var app = angular.module('commonModule', []);

    app.directive('ngEnter', function () {
        return function (scope, element, attrs) {
            element.bind('keypress', function (event) {
                if (event.which === 13) {
                    scope.$apply(function () {
                        scope.$eval(attrs.ngEnter);
                    });
                }
            });
        };
    });

    app.directive('toggle', function () {
        return function (scope, element, attrs) {
            scope.$on('event:toggle', function () {
                element.slideToggle();
            });
        };
    });

    return app;
});
