'use strict';

define([], function () {

    var app = angular.module('biostarWebApp');
    app.register.directive('gridSelectListFilter', ['$compile', 'UUID', function ($compile, UUID) {
        return {
            restrict: 'A',
            replace: true,
            require: '?ngModel',
            scope: {
                ngModel: '=',
                ngData: '=',
                isRight: '='
            },
            template: '<div><a href="javascript:void(null);" class="ibtnFilter" ng-click="openFilter()" ng-init="init()">filter</a>' +
                '<div class="filter right">' +
                '   <p class="searchSelect typeFilter">' +
                '   	<span>View All</span>' +
                '   	<a href="javascript:void(null);" class="ibtnSearchSmall">search</a>' +
                '   </p>' +
                '   <ul id="listFilter" class="filterTree">' +
                '   	<li ng-repeat="item in ngData track by $index">{{item.event_name}}</li>' +
                '   </ul>' +
                '</div></div>',
            controller: ['$scope', '$element', '$rootScope', function ($scope, $element, $rootScope) {

                $scope.init = function () {
//                    var html = '';
//                    $scope.chkID = 'chk' + UUID();
//                    $scope.inputID = 'txt' + UUID();
//                    $scope.treeID = 'tree' + UUID();

//                    if($scope.isRight){
//                        html += '<div class="filter right"'+'>';
//                    } else {
//                        html += '<div class="filter left"'+'>';
//                    }
//                    html += '   <p class="searchSelect typeFilter"'+'>';
//                    html += '   <input type="checkbox" class="chkChange" id="' + $scope.chkID + '" name="' + $scope.chkID + '"><label for="' + $scope.chkID + '"></label>';
//                    html += '   	<span>View All</span>';
//                    html += '   	<input type="text" name="' + $scope.inputID + '" id="' + $scope.inputID + '" placeholder="">';
//                    html += '   	<a href="javascript:void(null);" class="ibtnSearchSmall">search</a>';
//                    html += '   	<a href="javascript:void(null);" class="btnClose"><img src="images/common/btn_search_close_small.png" alt="close"></a>';
//                    html += '   </p>';
//                    html += '   <ul id="' + $scope.treeID + '" class="filterTree">';
//                    html += '   	<li ng-repeat="item in ngData track by $index">';
//                    html += '   	{{item.event_name}}';
//                    html += '   	</li>';
//                    html += '   </ul'+'>';
//                    html += '</div'+'>';
//
//                    $element.after(html);
//                    $compile(angular.element('#' + $scope.treeID))($scope);
                };
                $scope.openFilter = function () {
                    $element.parent('span').find('.filter').show();
                };
            }],
            link: function postLink($scope, $element, $rootScope, $attrs) {

            }
        };
    }]);
});