'use strict';

angular.module('biostarWebApp')
    .directive('imglist', function () {
        return {
            restrict: 'A',
            link: function postLink(scope, element, attrs) {
//        console.log(element);
            },
            controller: ['$scope','$rootScope', function ($scope, $rootScope) {

                $scope.img = {
                    items: [
                        {name: "slidshow1.jpg", id: "1"},
                        {name: "slidshow2.jpg", id: "2"},
                        {name: "slidshow3.jpg", id: "3"}
                    ]
                };

                $scope.addItem = function () {
                    $scope.img.items.push({
                        name: "",
                        id: ""
                    });
                },

                    $scope.removeItem = function (index) {
                        $scope.img.items.splice(index, 1);
                    }

                $scope.doImgView = function (index) {
                    $scope.imgUrl = "/images/sample/" + $scope.img.items[index].name;
                }

                $scope.template = 'imgList';

            }]
        };
    });
