'use strict';

angular.module('commonModule')
    .directive('ngbssUserGroupSelectTree', ['$rootScope', function ($rootScope) {
        return {
            restrict: 'A',
//      replace: true,
            require: '?ngModel',
            scope: {
                ngbssTreeData: '=',
                ngbssTreeOpt: '='
            },
            template: '<p class="searchSelect">' +
                '<span></span>' +
                '<input type="text" name="" id="" placeholder="">' +
                '<a href="javascript:void(0)" class="ibtnSearch">search</a>' +
                '<a href="javascript:void(null);" class="btnClose"><img src="images/common/btn_search_close.png" alt="close"></a>' +
                '</p>' +
                '<ul id="{{ngbssTreeOpt.treeName}}" class="{{ngbssTreeOpt.treeType}} tree scrollY"  style="height: {{ngbssTreeOpt.height}}px;"></ul>',
            link: function (scope, element, attrs, ngModel) {
                if (angular.isUndefined(scope.ngbssTreeOpt.height)) {
                    scope.ngbssTreeOpt.height = 300;
                }
                scope.safeApply = function (fn) {
                    var phase = this.$root.$$phase;
                    if (phase == '$apply' || phase == '$digest') {
                        if (fn && (typeof(fn) === 'function')) {
                            fn();
                        }
                    } else {
                        this.$apply(fn);
                    }
                };

                scope.$on('makeTree' + scope.ngbssTreeOpt.treeName, function (event, tree_data) {
                    scope.treeSearchWord = '';
                    scope.ngbssTreeOpt.data = tree_data;
                    element.find('#' + scope.ngbssTreeOpt.treeName).tree(scope.ngbssTreeOpt);
                });

                scope.safeApply(function () {
                    element.find('#' + scope.ngbssTreeOpt.treeName).tree(scope.ngbssTreeOpt);
                });

                scope.doTreeSearch = function (treeSearchWord) {
                    console.log(treeSearchWord);

                    return false;
                };

                var path = [];

                function fnMakeGroupPath(node) {
                    path.push(node.name);
                    var parent = element.find("#tt").tree('getParent', node.target);
                    if (parent !== null) {
                        fnMakeGroupPath(parent);
                    } else {
                        return;
                    }
                }
            }
        };
    }]);
