'use strict';

define(function () {

    var app = angular.module('biostarWebApp')
    app.register.controller('SettingController', ['$scope', 'API', 'Util', 'Const', function ($scope, API, Util, Const) {

        $scope.displayHttps = false;
        var serverSetting = Util.getSessionObject(Const.SESSION_STORAGE_KEY.SERVER_SETTING);
        if (serverSetting != undefined && serverSetting.https  != undefined && serverSetting.https.use_ssl == Const.CONFIG.USE_SSL){
            $scope.displayHttps = true;
        }

        $scope.$emit('ClickMenuInit');
    }]);

});
