// datagrid 상단 아이콘 관련 함수
var editIndex = undefined;
        function endEditing(){
            if (editIndex == undefined){return true}
            if ($('#dg').datagrid('validateRow', editIndex)){
                var ed = $('#dg').datagrid('getEditor', {index:editIndex,field:'productid'});
                var productname = $(ed.target).combobox('getText');
                $('#dg').datagrid('getRows')[editIndex]['productname'] = productname;
                $('#dg').datagrid('endEdit', editIndex);
                editIndex = undefined;
                return true;
            } else {
                return false;
            }
        }
        function onClickRow(index){
            if (editIndex != index){
                if (endEditing()){
                    $('#dg').datagrid('selectRow', index)
                            .datagrid('beginEdit', index);
                    editIndex = index;
                } else {
                    $('#dg').datagrid('selectRow', editIndex);
                }
            }
        }
        function append(){
            if (endEditing()){
                $('#dg').datagrid('appendRow',{status:'P'});
                editIndex = $('#dg').datagrid('getRows').length-1;
                $('#dg').datagrid('selectRow', editIndex)
                        .datagrid('beginEdit', editIndex);
            }
        }
        function removeit(){
            if (editIndex == undefined){return}
            $('#dg').datagrid('cancelEdit', editIndex)
                    .datagrid('deleteRow', editIndex);
            editIndex = undefined;
        }
        function accept(){
            if (endEditing()){
                $('#dg').datagrid('acceptChanges');
            }
        }
        function reject(){
            $('#dg').datagrid('rejectChanges');
            editIndex = undefined;
        }
        function getChanges(){
            var rows = $('#dg').datagrid('getChanges');
            alert(rows.length+' rows are changed!');
        }
        
        
     // datagrid 생성     
function gridMaker(id,url) {
            
        	$(id).datagrid({
				//iconCls: 'icon-save',
				idField: 'dg' + id.substr(1,id.length -1),
				singleSelect: false,//2개이상을 선택할때 false
				toolbar: '#tb',//toolbar 호출
				url: url,//url울 호툴할때 자동으로  page,rows 두 파라미터 adding ex)~data.json?page=1&rows=10
				method: 'get',
				dataType:'json',
				title: null,
				width: 800,
				height: 250,
				//pageSize:10,한페이지에 보여지는 row 갯수 default 10개
				//pageNumber:1,처음 로딩할때 페이지 번호 default 1 
				rownumbers:true,
				pagination:true,
				fitColumns: true,
				remoteSort:false,
				resizable:true,
				onClickRow: onClickRow,//클릭시 editor 모드
				columns:[[//�꾨뱶 �띿꽦愿롮뿉 ��븳 �명똿 
		                    {field:'ck',title:'',width:80,sortable:true,checkbox:true},		
							{field:'itemid',title:'Item ID',width:80,sortable:true},
							{field:'productid',title:'Product ID',width:120,sortable:true,
								formatter:function(value,row){
		                            return row.productname;
		                        },
		                        editor:{
		                            type:'combobox',
		                            options:{
		                                valueField:'productid',
		                                textField:'productname',
		                                url:'/components/jquery-easyui/demo/datagrid/products.json',
		                                method: 'get',
		                                required:true
		                            }
								}
							},
							{field:'listprice',title:'List Price',width:80,align:'right',sortable:true,editor:{type:'numberbox',options:{precision:1}}},
							{field:'unitcost',title:'Unit Cost',width:80,align:'right',sortable:true,editor:'number'},
							{field:'attr1',title:'Attribute',width:250,sortable:true,editor:'text'},
							{field:'status',title:'Status',width:60,align:'center',sortable:true,editor:{type:'checkbox',options:{on:'P',off:''}}}
						]],
						
				onLoadSuccess: function(data){
					 console.log('onLoad');
					console.log(data);
					 //debugger;
						var headers = $('.datagrid-header-row:eq(1) td');
						console.log('onLoadSuccess'+ ' headers' + headers.length);

						var arr  = [
									{field:'ck',title:''},
									{field:'itemid',title:'Item ID'},
									{field:'productid',title:'Product ID'},
									{field:'listprice',title:'List Price'},
									{field:'unitcost',title:'Unit Cost'},
									{field:'attr1',title:'Attribute'},
									{field:'status',title:'Status'}
						            ];

						         var headerHtml =""; 
						         var iconCsName = "datagrid-sort-icon";  
								$.each(arr, function(index,item) {
									
                                   
									if ( item.field =="ck") {
										headerHtml +="<td field='ck'>\n";
										headerHtml +="<div class='datagrid-header-check'>\n";
										headerHtml +="<input type='checkbox'></div></td>\n";
									}else {
										headerHtml +="<td field='" + item.field + "'>\n";
										headerHtml +="<div class='datagrid-cell datagrid-cell-c1-" + item.field + "'>\n";
										headerHtml +="<span>" + item.title + "</span>\n";
										headerHtml +="<span id='btn-" + item.field + "' class='" + iconCsName + "'>GO</span></div></td>\n";

										//makeTooltip2('#btn-'+ item.field,'#tree-menu');
									}
									
								});	

								$(id).parents(".panel.datagrid").find('tr.datagrid-header-row:last').html(headerHtml);//$("#dg").parents(".panel.datagrid").find('tr.datagrid-header-row:last')
								


								//$( "p" ).append( "<strong>Hello</strong>" );
                        
						$('td', headers).bind('click', function(e) {
							//e.stopPropagation();
							//makeTooltip2('#btn-itemid','#tree-menu');
							console.log('headers.bind(click');
							console.log(e.target.id);
						//makeTooltip2('#btn-itemid','#tree-menu');

							
					});
				     
                },    
                 // 상세페이지 관련부분 
				 view: detailview,
				 detailFormatter:function(index,row){
				 return '<div class="ddv" style="padding:5px 0"></div>';
				 },
				 onExpandRow: function(index,row){
				 var ddv = $(this).datagrid('getRowDetail',index).find('div.ddv');
				 ddv.panel({
				 height:80,
				 border:false,
				 cache:false,
				 href:'/views/sample/detail-view.html?itemid='+row.itemid,//상세페이지화면
				 onLoad:function(){
				     $('#dg').datagrid('fixDetailRowHeight',index);
				     }
					 
				 });
				
				} // 상세페이지 관련부분 끝	
				
			});
        	
         }    




//팝업 레이어 기능
//function popupLayer(field) {
	
//    if(field=="unitcost") {
//    var lay_pop = $('#calendar');
//    } else {
//    var lay_pop = $('#tree-menu');
//    }
	
//	var pos = $('#btn_' + field).position();    // 버튼의 위치에 레이어를 띄우고자 할 경우, 위치 정보 가져옴
//	lay_pop.css('top', (pos.top) + 'px');    // 레이어 위치 지정
//	lay_pop.css('left', (pos.left) + 'px');
//	lay_pop.fadeIn();
//	lay_pop.focus();
	
//}

 function onSelect(date){//테스트용으로 값 return
	    $('#calendar').hide();
        $('#result').text(date);
       
 }
 
 //팝없 tooltip 레이어 생성 함수
 function makeTooltip(id,cont) {
		//alert(id);
		//debugger;
	$(id).tooltip({
	    position: 'bottom',
	    showEvent: 'click',
	    content: function(e){
	        
	        return $(cont);
	       
		},
	    onShow: function(e){
	    	
	        var t = $(this);
	        t.tooltip('show');
	         t.tooltip('tip').focus().unbind().bind('mouseenter',function(e){
	         	
	             t.tooltip('show');
	            
	         }).bind('mouseleave',function() {
	         	t.tooltip('hide');
	         });
	        
	     }
	});
	}
