'use strict';

define(function () {

    var app = angular.module('biostarWebApp', [
        'ngResource',
        'ngRoute',
        'ngCookies',
        'ngSanitize',
        'routeModule',
        'messageModule',
        'commonModule',
        'widgetModule',
        'privilegeModule',
        'filterModule'
    ]);
    app.config([
        '$routeProvider', 'routeResolverProvider', '$controllerProvider', '$compileProvider', '$filterProvider', '$provide', '$httpProvider',
        function ($routeProvider, routeResolverProvider, $controllerProvider, $compileProvider, $filterProvider, $provide, $httpProvider) {

        app.register =
        {
            controller: $controllerProvider.register,
            directive: $compileProvider.directive,
            filter: $filterProvider.register,
            factory: $provide.factory,
            service: $provide.service
        };
    }]);

    return app;
});


