﻿require.config({
    baseUrl: '../..',
  urlArgs: 'v=$BUILD_VERSION$',
  waitSeconds: 30
});

require(
    [
        'modules/common/messageModule',
        'modules/common/routeResolverModule',
        'modules/common/commonModule',
        'modules/common/services/preferenceService',
        'modules/common/websocketModule',
        'modules/common/services/const',
        'modules/common/services/util',
        'modules/common/services/fileService',
        'modules/common/services/api',
//        'modules/common/services/dialogService',
        'modules/common/routeModule',
        'modules/common/filterModule',
        'modules/common/widgetModule',
//        'modules/user/userModule',

        'modules/app',
        'modules/common/privilegeModule',
        'modules/common/init',
        'modules/common/directives/ng-header',
        'modules/common/directives/ng-menu',
        'modules/common/directives/ngbssAlarmTicker',
        'modules/common/directives/ngbssSaveFilterButton',
//        'modules/actionpanel/ngbss-lnb',
        'modules/common/directives/ngbss-list-pagination',
        'modules/common/directives/ngbss-board-search',
        'modules/common/directives/ngbss-slider',
//        'modules/common/directives/ngbss-switch',
        'modules/common/directives/time-slot-area',
        'modules/common/directives/ngbssAlarmTicker',
        'modules/common/directives/tooltipBox'
//        'modules/login/loginController',
//        'modules/header/headerController',
//        'scripts/controllers/device/lnb-device-tree',
//        'scripts/directives/menu'
    ],
    function () {
        angular.element(document).ready(function () {
            angular.bootstrap(document.getElementById("biostarWebAppDiv"), ['biostarWebApp']);
        });
    });
