'use strict';

define([
], function () {

    var app = angular.module('commonModule');

    app.directive('ngbssSaveFilterButton', ['$compile', 'Const', '$rootScope', function ($compile, Const, $rootScope) {
        return {
            restrict: 'E',
            replace: true,
            scope: {
            },
            template: '<div><a href="javascript:void(null);" ng-privilege id="btnAddFilter" class="btnFunc fl" style="display:none;" ng-click="doAddFilter()" ><img style="position: relative; top: 3px;" src="images/common/monitoring_filter_button.png" ><span ng-label="monitoring.addFilter"></span></a>' +
                '<a href="javascript:void(null);" ng-privilege id="btnSaveFilter" class="btnFunc fl" ng-click="doSaveFilter()"><img style="position: relative; top: 3px;" src="images/common/monitoring_filter_button.png"><span ng-label="monitoring.saveFilter"></a></div>',
            link: function ($scope) {
                $scope.doAddFilter = function () {
                    $rootScope.$broadcast(Const.UI_EVENT_TYPE.ADD_FILTER_CLICKED);
                };
                $scope.doSaveFilter = function () {
                    $rootScope.$broadcast(Const.UI_EVENT_TYPE.SAVE_FILTER_CLICKED);
                };
            }
        };
    }]);

});