'use strict';

define([
], function () {

    var app = angular.module('biostarWebApp');

    app.register.controller('LoginController', ['$scope', 'Const', 'Auth', 'Util', 'MessageProperties',
        function ($scope, Const, Auth, Util, MessageProperties) {

            $scope.doLogin = function () {

                var _user = {};
                if ($scope.user != undefined) {
                    _user.login_id = $scope.user.id;
                    _user.password = $scope.user.password;
                }
                _user.role = '2';
                Auth.doLogin(_user);
            };


            $scope.loginpop = "loginInfoFindBox";

            $scope.doOpenPop = function () {
                $scope.loginpop = "loginInfoFindBox open";
            };

            Const.localizationConstantVariables(Util.getLanguageFromLocalStorage());

            $scope.inputLoginPlaceholder = MessageProperties.get("login.userId");
            $scope.inputPasswordPlaceholder = MessageProperties.get("login.password");
        }]);

});