define([],
    function () {
    var app = angular.module('biostarWebApp');
    app.register.controller('EventTypeModifyDlgController', ['$scope', 'API',
        function ($scope, API) {
            var pageMode = 'create',
                eventTypeItem = window.sessionStorage.getItem('eventTypeItem');
            if (eventTypeItem !== null) {
                eventTypeItem = angular.fromJson(eventTypeItem);
                pageMode = 'update'
            }
            $scope.eventTypeInfo = angular.copy(eventTypeItem);
            $scope.eventTypeInfo.alert_name = eventTypeItem.alert_name;
            $scope.eventTypeInfo.alert_message = eventTypeItem.alert_message;
            $scope.doApplyEventTypeModifyDlg = function (valid) {
                var reqUrl = 'event_types/',
                    params = {EventType: $scope.eventTypeInfo},
                    crud = '';
//                if ($scope.eventTypeInfo.alert_name === undefined && $scope.eventTypeInfo.alert_message === undefined) {
//                    MessageService.displayWarningMessage(MessageProperties.get('validate.smtpSetupInsertNameOrMessage'), function () {
//                        angular.element('#eventTypeName').focus();
//                    });
//                }
                switch(pageMode) {
                    case 'create':
                        crud = 'post';
                        break;
                    case 'update':
                        reqUrl = reqUrl + $scope.eventTypeInfo.code;
                        crud = 'put';
                        break;
                    default:
                        break;
                }
                API[crud](reqUrl, undefined, params).then(function (data, status) {
                    $scope.$emit('closeEventTypeModifyDlg', {updateEventItem: $scope.eventTypeInfo});
                });
            };
            $scope.doCancelEventTypeModifyDlg = function () {
                $scope.$emit('closeEventTypeModifyDlg');
            };

            function initPageData () {
                if (eventTypeItem !== null) {
//                    API.get('event_types/' + eventTypeItem.code, undefined).then(function (data, status) {
//                        console.log(data);
//                    });pagingScopePop
                }
            }
            initPageData();
        }]);
});